{% import 'macros/form.html' as form %}

{% set placeholder = placeholder if placeholder else _('Search datasets...') %}
{% set sorting = sorting if sorting else [(_('Name Ascending'), 'name asc'), (_('Name Descending'), 'name desc')] %}
{% set search_class = search_class if search_class else 'search-giant' %}
{% set no_bottom_border = no_bottom_border if no_bottom_border else false %}
{% set form_id = form_id if form_id else false %}

<form {% if form_id %}id="{{ form_id }}" {% endif %}class="search-form{% if no_bottom_border %} no-bottom-border{% endif %}" method="get" data-module="select-switch">

  <div class="order-by-wrapper">
    {% block search_sortby %}
    {% if sorting %}
    <div class="form-select">
      <ul class="list-inline">
        <li><label for="field-order-by">{{ _('Order by') }}</label></li>
        <li>
          <select id="field-order-by" name="sort" class="form-control">
            {% for label, value in sorting %}
            {% if label and value %}
            <option value="{{ value }}"{% if sorting_selected == value %} selected="selected"{% endif %}>{{ label }}</option>
            {% endif %}
            {% endfor %}
          </select>
        </li>
      </ul>
      {% block search_sortby_button %}
      <button class="btn js-hide" type="submit">{{ _('Go') }}</button>
      {% endblock %}
    </div>
    {% endif %}
    {% endblock %}
  </div>
  <div class="row">
    <div class="col-md-7">
      {% block search_title %}
      {% if not error %}
      <h3>{% snippet 'snippets/search_result_text.html', query=query, count=count, type=type %}</h3>
      {% else %}
      <h3>Error</h3>
      {% endif %}
      {% endblock %}
    </div>
  </div>

  <!--<div class="row">-->
    <!--    <div class="col-md-8">
          {# block search_input #}
          <div class="search-input form-group {{ search_class }}">
            <input type="text" class="search form-control" name="q" value="{{ query }}" autocomplete="off" placeholder="{{ placeholder }}">
            {# block search_input_button #}
            <button type="submit" value="search">
              <i class="fa fa-search"></i>
              <span>{{ _('Submit') }}</span>
            </button>
            {# endblock #}
          </div>
          {# endblock #}
        </div>-->
  <!--</div>-->

  {% block search_search_fields %}
  {% if fields -%}
  <span>{{ form.hidden_from_list(fields=fields) }}</span>
  {%- endif %}
  {% endblock %}

  {% block search_facets %}
  {% if facets %}
  {% if facets.fields %}
  <p class="filter-list">
    {% for field in facets.fields %}
    {% set search_facets_items = facets.search.get(field)['items'] %}
    <span class="facet">{{ facets.titles.get(field) }}:</span>
    {% for value in facets.fields[field] %}
    <span class="filtered pill">
      {%- if facets.translated_fields and facets.translated_fields.has_key((field,value)) -%}
      {{ facets.translated_fields[(field,value)] }}
      {%- else -%}
      {{ h.list_dict_filter(search_facets_items, 'name', 'display_name', value) }}
      {%- endif %}
      <a href="{{ facets.remove_field(field, value) }}" class="remove" title="{{ _('Remove') }}"><i class="fa fa-remove"></i></a>
    </span>
    {% endfor %}
    {% endfor %}
  </p>
  <a class="show-filters btn">{{ _('Filter Results') }}</a>
  {% endif %}
  {% endif %}
  {% endblock %}

</form>

{% if show_empty and count == 0 and not error %}

<p class="extra">{% trans %}Please try another search.{% endtrans %}</p>
{% endif %}

{% if error %}
<p id="search-error"><strong>{% trans %}There was an error while searching.{% endtrans %}</strong> {% trans %}Please try again.{% endtrans %}</p>

{% endif %}
